Summary

This spec resolves the problem of a lack of etherboot support for Ubuntu's LTSP implementation.

Rationale

Many clasrooms have older machines which are not pxe enabled, but can boot via an etherboot floppy or rom. Currently, these machines can't be used directly with Ubuntu's LTSP.

Use cases

Roger has a classroom full of very old pc's that have really cheap RTL8139 cards in them that he bought on an online used parts site for $20.00. He starts off the day by putting in his Etherboot boot floppies in the machines, and turning them on. They boot up Edubuntu, and he's ready for his students.

Scope

ltsp-update-kernels might need modifying. Looks like basic code is there, just needs to be tested thoroughly. mknbi needs to be a depends for ltsp-standalone-server.

Design

Implementation

Code

Data preservation and migration

Outstanding issues

mknbi 1.4.4 has a bug that incorrectly generates code with Geode processors. Upstream bug that needs to be fixed.

BoF agenda and discussion


CategorySpec

LTSPNetbootEnhancement (last edited 2008-08-06 16:36:13 by localhost)